#!/bin/sh
DIALOG=Xdialog

$DIALOG --title "MENU BOX" \
        --menu "Hi, this is a menu box. You can use this to
present a list of choices for the user to
choose. If there are more items than can fit
on the screen, the menu will be scrolled.
Try it now!\n
Choose the OS you like:" 0 0 0 \
        "Linux"  "The Great Unix Clone for 386/486" \
        "NetBSD" "Another free Unix Clone for 386/486" \
        "OS/2" "IBM OS/2" \
        "WIN NT" "Microsoft Windows NT" \
        "PCDOS"  "IBM PC DOS" \
        "MSDOS"  "Microsoft DOS" 2> /tmp/menu.tmp.$$

retval=$?

choice=`cat /tmp/menu.tmp.$$`
rm -f /tmp/menu.tmp.$$

case $retval in
  0)
    echo "'$choice' chosen.";;
  1)
    echo "Cancel pressed.";;
  255)
    echo "Box closed.";;
esac
